# Interface ISubscriberChangeListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `SubscriberScopeManager, SubscriberTeamStateProvider`

public interface ISubscriberChangeListener extends EventListener
A subscriber change listener is notified of changes to resources regarding their subscriber synchronization state.

Clients may implement this interface.

Since:
  3.0
See Also:
  - `Subscriber.addListener(ISubscriberChangeListener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`subscriberResourceChanged(ISubscriberChangeEvent[] deltas)`
Notifies this listener that some resources' subscriber properties have changed.

## Method Details

### subscriberResourceChanged

void subscriberResourceChanged(ISubscriberChangeEvent[] deltas)
Notifies this listener that some resources' subscriber properties have changed. The changes have already happened. For example, a resource's base revision may have changed. The resource tree may or may not be open for modification when this method is invoked.

Parameters:
  `deltas` - detailing the kinds of changes